<template>
  <div v-show="show" class="menu-modal">
    <div class="container text-white mx-auto">
      <div class="row menu-list">
        <div class="col-md-12 d-flex align-items-center mt-3 mb-4">
          <div class="mr-3">
            <img :src="asset('images/icons/lenna-logo-white.png')" width="50px">
          </div>
          <div>
            <h3>LennaPlatform</h3>
          </div>
        </div>
        <div class="col-md-12 text-capitalize" v-show="!selectedMenu">
          <h5
            v-for="menu in menus"
            :key="menu.id"
            class="mb-4"
            @click="selectMenu(menu)"
          >{{menu.name}}</h5>
        </div>
        <div class="col-md-12 text-capitalize" v-show="selectedMenu">
          <h5
            v-for="submenu in selectedMenu.submenus"
            :key="submenu.id"
            class="mb-4"
            @click="selectSubmenu(selectedMenu.slug,submenu.slug)"
          >{{submenu.name}}</h5>
        </div>

        <div class="col-md-12 back-button">
          <div class="d-flex align-items-center">
            <img :src="asset('images/ui_elements/ic_arrow_back_white.svg')" class="mr-3">
            <div>
              <h5 class="pointer" @click="show=false" v-show="!selectedMenu">Back</h5>
              <h5 class="pointer" @click="selectedMenu=false" v-show="selectedMenu">Back</h5>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import EventBus from "@/EventBus.js";

export default {
  data() {
    return {
      show: false,
      selectedMenu: false
    };
  },

  computed: {
    menus() {
      return this.$store.getters["sidebar/menus"];
    }
  },
  mounted() {
    EventBus.$on("showMenuModal", value => {
      this.show = true;
    });
    EventBus.$on("hideMenuModal", value => {
      this.show = false;
    });
  },
  methods: {
    selectSubmenu(menuSlug, submenuSlug) {
      this.$router.push({ name: menuSlug + "." + submenuSlug });
      this.show = false;

      this.selectedMenu = false;
    },
    selectMenu(menu) {
      if (menu.submenus.length > 0) {
        this.selectedMenu = menu;
      } else {
        this.$router.push({ name: menu.slug });
        this.show = false;
        this.selectedMenu = false;
      }
    }
  }
};
</script>
<style lang="scss">
.menu-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 999;
  background: #003473;
}
li {
  background: none !important;
  border: none !important;
}
.back-button {
  position: absolute;
  bottom: 10px;
}
.menu-list {
  padding: 10px 50px;
}
.back-button {
  position: fixed;
  bottom: 15px;
  & img {
    width: 15px;
  }
}
</style>
